
GammaLib - Action #2878

Add GCTAModelSpatialLookup class to handle lookup tables for the spatial background component

04/26/2019 09:49 PM - Knödlseder Jürgen

Status: Closed Start date: 04/26/2019

Priority: Immediate Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

A class GCTAModelSpatialLookup should be added to handle lookup tables for the spatial background component. For the moment

the class should handle two-dimensional lookup tables, with one dimension being the energy and the second the radial offset angle.

History

#1 - 04/26/2019 09:49 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 100

The class was implemented and some unit tests added.

#2 - 04/26/2019 11:53 PM - Knödlseder Jürgen

Code was merged into devel.

I also updated csbkgmodel to take the lookup table into account. A new paramater slufile was added to allow specification of a lookup table.

#3 - 04/29/2019 10:52 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

All code was merged into devel.
